Apache C++ Standard Library Reference Guide

## time_put_byname

Library: Localization

                               time_put_base
    time_put_byname  time_put
                               locale::facet

- Local Index
- Summary
- Synopsis
- Specializations
- Description
- Interface
- Constructors
- See Also
- Standards Conformance

### Local Index

#### Members

time_put_byname() |

### Summary

A time formatting facet for output, based on named locales

### Synopsis

    #include <locale>

    namespace std {
      template <class charT, class OuputIterator =
                  ostreambuf_iterator<charT> >
      class time_put_byname;
    }

### Specializations

    template <> class time_put_byname<char>;
    template <> class time_put_byname<wchar_t>;

### Description

The class template time_put_byname has the same interface as class template time_put, but is specific to a particular named locale. For a description of the member functions of time_put_byname, see the reference for time_put.

### Interface

    namespace std {

      template <class charT, class OutputIterator =
        ostreambuf_iterator<charT> >
      class time_put_byname : public time_put<charT,
        OutputIterator>
      {
        public:
        explicit time_put_byname(const char*, size_t refs = 0);

       };
    }

### Constructors

    explicit time_put_byname(const char* name,
                               size_t refs = 0);

Constructs a time_put_byname object for the locale given by name. Calls `std::time_put<char_type>::time_put (refs)`.

### See Also

locale, Facets, time_put, time_get_byname

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 22.2.5.4